package com.example.tampopo_client.views.placeholder;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class FriendRequestContent {

    //FriendRequestを格納するリスト
    public static final List<FriendRequestItem> ITEMS = new ArrayList<FriendRequestItem>();

    //各アイテムにアクセスするためのID付きマップ*/
    public static final Map<String, FriendRequestItem> ITEM_MAP = new HashMap<String, FriendRequestItem>();

    public static final int COUNT = 30; //データ30個作成

    //アイテムを初期化時に追加する
//    static {
//        // Add some sample items.
//        for (int i = 1; i <= COUNT; i++) {
//            addItem(createPlaceholderItem(i));
//        }
//    }

    //アイテムをリストとマップの両方に登録するメソッド
    public static void addItem(FriendRequestItem item) {
        ITEMS.add(item);
        ITEM_MAP.put(item.id, item);
    }

    //位置(1,2,...)に応じたFriendRequestItem を生成するメソッド
//    public static FriendRequestItem createPlaceholderItem(int position) {
//        return new FriendRequestItem(String.valueOf(position), "ユーザー名 ", makeDetails(position));
//    }

    //詳細説明用の文字列を作るメソッド。position に応じて「詳細情報」がたくさん増える
    private static String makeDetails(int position) {
        StringBuilder builder = new StringBuilder();
        builder.append("Details about Item: ").append(position);
        for (int i = 0; i < position; i++) {
            builder.append("\nMore details information here.");
        }
        return builder.toString();
    }

    //FriendRequestを表す1件のデータ
    public static class FriendRequestItem {
        public final String id; //アイテムのID
        public final String name; //表示される名前
        //public final String details; //詳細説明

        public FriendRequestItem(String id, String name) {
            this.id = id;
            this.name = name;
            //this.details = details;
        }

        @Override
        public String toString() {
            return name + " " + id;
        }

    }
}